description = "" 
output_type = "audio"
speaker = ""
gender = "f"
travel_mode = "1"
language = "Arabic (North Africa)"
marc_code="ara"
language_id = "37"
id = "37000"
config_file = "arabic_f/config.lua"
audio_files_path = "arabic_f/arabic_female"
audio_files_version = "0.2.0.2011082301"
client_range = "[client >= 1.3.15.0 ; client < 1.4.6.0 ]"

down = 1
up = 2

maneuver_turns = {
    ["NO_TURN"] = {"g5man_001e_VAR", "g5man_001_VAR"},
    ["KEEP_MIDDLE"] = {"g5man_001e_VAR", "g5man_001_VAR"},
    ["KEEP_RIGHT"] = {"g5tur_001e", "g5tur_001"},
    ["LIGHT_RIGHT"] = {"g5tur_002e_VAR", "g5tur_002_VAR"},
    ["QUITE_RIGHT"] = {"g5tur_003e", "g5tur_003"},
    ["HEAVY_RIGHT"] = {"g5tur_004e_VAR", "g5tur_004_VAR"},
    ["RETURN"] = {"g5man_004ae", "g5man_004a"},
    ["HEAVY_LEFT"] = {"g5tul_004e_VAR", "g5tul_004_VAR"},
    ["QUITE_LEFT"] = {"g5tul_003e", "g5tul_003"},
    ["LIGHT_LEFT"] = {"g5tul_002e_VAR", "g5tul_002_VAR"},
    ["KEEP_LEFT"] = {"g5tul_001e", "g5tul_001"},
    ["nil"] = {nil, nil},
    ["UNDEFINED"] = {nil, nil}
}

maneuver_check = {
    ["END"] = {"g5ann_003", "g5ann_003"},                          -- you will reached your destination
    ["STOPOVER"] = {"g5ann_002e_alt2", "g5ann_002e_alt2"},         -- You will reached a stopover
    ["JUNCTION"] = {nil, nil},                                     -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = {nil, nil},                                -- the junction
    ["ROUNDABOUT"] = {"g5mod_005", "g5mod_005"},                   -- At the roundabout
 --   ["EXIT_ROUNDABOUT"] = {"g5ext_000e", "g5ext_000"},           -- take the exit (removed "now from config.lua since "take the exit" is NA
    ["UTURN"] = {"g5man_004ae", "g5man_004a"},                     -- Make a uturn
    ["ENTER_HIGHWAY"] = {"g5man_005e", "g5man_005"},
    ["LEAVE_HIGHWAY"] = {"g5man_007e", "g5man_007"},               -- take the exit
    ["CHANGE_HIGHWAY"] = {"g5man_006e", "g5man_006"},
    ["CONTINUE_HIGHWAY"] = {"g5man_007e", "g5man_007"},
    ["ENTER_URBAN_HIGHWAY"] = {"g5man_005e", "g5man_005"},
    ["LEAVE_URBAN_HIGHWAY"] = {"g5man_007e", "g5man_007"},         -- take the exit
    ["CHANGE_URBAN_HIGHWAY"] = {"g5man_006e", "g5man_006"},
    ["CONTINUE_HIGHWAY"] = {"g5man_007e", "g5man_007"},
 --   ["DRIVE_TO_NEAREST_ROAD"] = {"g5serv_001", "g5serv_001"},     -- drive to nearest road 
    ["FERRY"] = {"g5serv_004e", "g5serv_004"}
}

exit_number_check = {
    [1] = {"g5ext_001e","g5ext_001"},                   -- take the first exit
    [2] = {"g5ext_002e","g5ext_002"},                   -- take the second exit
    [3] = {"g5ext_003e","g5ext_003"},                   -- take the third exit
    [4] = {"g5ext_004e","g5ext_004"},                   -- take the fourth exit
    [5] = {"g5ext_005e","g5ext_005"},                   -- take the fifth exit
    [6] = {"g5ext_006e","g5ext_006"},                   -- take the sixth exit
    [7] = {"g5ext_007e","g5ext_007"},                   -- take the seventh exit
    [8] = {"g5ext_008e","g5ext_008"},                   -- take the eighth exit
    [9] = {"g5ext_009e","g5ext_009"},                   -- take the ninth exit
    [10] = {"g5ext_010e","g5ext_010"},                  -- take the tenth exit
    [11] = {"g5ext_011e","g5ext_011"},                  -- take the eleventh exit 
    [12] = {"g5ext_012e","g5ext_012"}                   -- take the twelfth exit
}

distances = {
    [50] = {nil, "g5num_050"},
    [100] = {nil, "g5num_100"},
    [150] = {nil, "g5num_150"},
    [200] = {nil, "g5num_200"},
    [250] = {nil, "g5num_250"},
    [300] = {nil, "g5num_300"},
    [400] = {nil, "g5num_400"},
    [500] = {nil, "g5num_500"},
    [600] = {nil, "g5num_600"},
    [700] = {nil, "g5num_700"},
    [800] = {nil, "g5num_800"},
    [900] = {nil, "g5num_900"},
    [1] = {nil, "g5num_001"},
    [2] = {nil, "g5num_002_var1"},
    [3] = {"g5num_003e", "g5num_003"},
    [4] = {"g5num_004e", "g5num_004"},
    [5] = {"g5num_005e", "g5num_005"},
    [6] = {"g5num_006e", "g5num_006"},
    [7] = {"g5num_007e", "g5num_007"},
    [8] = {"g5num_008e", "g5num_008"},
    [9] = {"g5num_009e", "g5num_009"},
    [10] = {"g5num_010e", "g5num_010"}
}

distances_imperial = {
    [50] = {nil, "g5num_050m"},
    [100] = {nil, "g5num_100m"},
    [150] = {nil, "g5num_150m"},
    [200] = {nil, "g5num_200m"},
    [250] = {nil, "g5num_250m"},
    [300] = {nil, "g5num_300m"},
    [400] = {nil, "g5num_400m"},
    [500] = {nil, "g5num_500m"},
    [600] = {nil, "g5num_600m"},
    [700] = {nil, "g5num_700m"},
    [800] = {nil, "g5num_800m"},
    [900] = {nil, "g5num_900m"},
    [1] = {nil, "g5num_001m"},
    [2] = {nil, "g5num_002m"},
    [3] = {"g5num_003me", "g5num_003m"},
    [4] = {"g5num_004me", "g5num_004m"},
    [5] = {"g5num_005me", "g5num_005m"},
    [6] = {"g5num_006me", "g5num_006m"},
    [7] = {"g5num_007me", "g5num_007m"},
    [8] = {"g5num_008me", "g5num_008m"},
    [9] = {"g5num_009me", "g5num_009m"},
    [10] = {"g5num_010me", "g5num_010m"}
}

misc = { 
    ["beep_sound"] = "beep",
    ["gps_signal_lost_wav"] = "g5war_gps_lost",
    ["gps_signal_restored_wav"] = "g5war_gps_restored",
    ["no_gps_signal_wav"] = "g5war_no_gps",
    ["route_recalculation_wav"] = "g5war_012e",
--    ["now_wav"] = "g5mod_006",
    ["destination_wav"] = "g5ann_001",
    ["stopover_wav"] = "g5ann_002e",
    ["end_of_street_wav"] = "g5mod_004",
    ["follow_hwy_wav"] = "g5man_008e",
    ["follow_road_e_wav"] = "g5man_002e",
    ["follow_road_wav"] = "g5man_002",
    ["for_wav"] = "g5pre_002",
    ["roundabout_wav"] = "g5mod_005",
    ["nextroundabout_wav"] = "g5mod_005n",
    ["after_wav"] = "g5pre_003",
    ["the_junction_wav"] = "g5mod_017",
    ["and_wav"] = "g5con_002",
    ["second_right_wav"] = "g5ext_013e",
    ["second_left_wav"] = "g5ext_014e",
    ["immediately_wav"] = "g5immediately",
    ["safety_camara_ahead_wav"] = "g5war_035e",
    ["over_speed_limit_wav"] = "g5war_016e",
    ["traffic_automatic_detour_wav"] = "g5war_018e",
    ["traffic_manual_detour_wav"] = "g5war_017e",
    ["no_detour_possible"] = "g5war_021e",
    ["and_then_wav"] = "g5con_001"
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }

check_files = { maneuver_turns, maneuver_check, exit_number_check, distances, distances_imperial, misc }